	SUBROUTINE SAO_ERASE_CURSOR(MODE)
C
C       This subroutine erases the SAOimage cursors, including annuli, 
C  and region cursors, depending on the mode.
C				Donald H. Gudehus, August, 1993
C			Version 2, D. Gudehus, October, 1994
C			Changed call to SAO_DRAW
C
C	MODE	(C)	The mode of action.  If MODE=0, only the cursors
C			are erased.  If MODE=1, the region cursors are
C			erased as well.
C
	INTEGER ACTION,CURSOR_TYPE,COLOR_TYPE
	REAL INCLINA,EXTRA(1)
C
C  Give some sensible values
	CURSOR_TYPE=256 !  Dot
	COLOR_TYPE=201 !  Green
	X=1.0 !  Lower left corner
	Y=1.0
	a=1.0
	b=1.0
	INCLINA=0.0
	IF (MODE.EQ.0) ACTION=0 !  Erases cursors
	IF (MODE.EQ.1) ACTION=10 !  Erases regions and cursors
	EXTRA(1)=0.0
	CALL SAO_DRAW(ACTION,CURSOR_TYPE,COLOR_TYPE,X,Y,NPIC1,a,b,INCLINA,
	1EXTRA,0)
	RETURN
	END
